%define version 0.4.12
%define release %mkrel 3
%define name wmnd

Summary:	A dockapp for monitoring network interfaces
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Monitoring
Source0:	%{name}-%{version}.tar.bz2
Source1:	%{name}-icons.tar.bz2
URL:		http://www.yuv.info/wmnd/
BuildRequires:	libx11-devel
BuildRequires:	libxext-devel
BuildRequires:	libxpm-devel
BuildRequires:	libsm-devel
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
WMND (WindowMaker Network Devices) is a network monitoring
dock app improved and based on WMiFS 1.3b. You can find the
features of WMiFS 1.3b from documents in directory WMiFS.

%prep
%setup -q

%build
%configure
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
[ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT

install -m 755 -d $RPM_BUILD_ROOT%{_miconsdir}
install -m 755 -d $RPM_BUILD_ROOT%{_iconsdir}
install -m 755 -d $RPM_BUILD_ROOT%{_liconsdir}
tar xOjf %SOURCE1 %{name}-16x16.png > $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
tar xOjf %SOURCE1 %{name}-32x32.png > $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
tar xOjf %SOURCE1 %{name}-48x48.png > $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1/

install -m 755 src/wmnd $RPM_BUILD_ROOT%{_bindir}/wmnd
install -m 644 doc/wmnd.1 $RPM_BUILD_ROOT%{_mandir}/man1/wmnd.1

install -m 755 -d $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}):command="%{_bindir}/%{name}" icon="%{name}.png"\\
                 needs="X11" section="System/Monitoring" title="Wmnd"\\
                 longtitle="Network monitoring dock app" xdg="true"
EOF

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mandriva-%{name}.desktop <<EOF
[Desktop Entry]
Encoding=UTF-8
Name=wmnd
Comment=A dockapp for monitoring network interfaces
Exec=%{_bindir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=X-MandrivaLinux-System-Monitoring;System;Monitor;
EOF

%clean
[ -z $RPM_BUILD_ROOT ] || {
    rm -rf $RPM_BUILD_ROOT
}


%post
%{update_menus}


%postun
%{clean_menus}


%files
%defattr (-,root,root)
%doc examples/wmndrc NEWS AUTHORS README TODO ChangeLog
%{_bindir}/*
%{_mandir}/man1/*
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_menudir}/%{name}
%{_datadir}/applications/mandriva-%{name}.desktop


%changelog
* Tue Feb 06 2007 Gustavo De Nardin <gustavodn@mandriva.com> 0.4.12-3mdv2007.0
+ Revision: 116895
- fixed .desktop file Comment

* Mon Jan 29 2007 Gustavo De Nardin <gustavodn@mandriva.com> 0.4.12-2mdv2007.1
+ Revision: 115170
- menu migrated to XDG scheme, for great compliance
- cleanup
  . manpages are compressed automatically
  . removing generic FSF 'INSTALL' from package as it is mostly useless

* Mon Jan 29 2007 Gustavo De Nardin <gustavodn@mandriva.com> 0.4.12-1mdv2007.1
+ Revision: 114943
- new version 0.4.12
- fixed Group and menu category, better Summary
- fixed BuildRequires
- spec cleanup



* Fri Sep 10 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.4.9-1mdk
- 0.4.9

* Tue Aug 12 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.4.7-2mdk
- rebuild

* Mon Jun 30 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.4.7-1mdk
- 0.4.7

* Mon May 12 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.4.5-1mdk
- 0.4.5

* Thu Jan 23 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.4.3-2mdk
- rebuild

* Tue Oct 08 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.4.3-1mdk
- 0.4.3

* Fri Jun 21 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.4.2-1mdk
- 0.4.2
- Update URL
- png icons (out xpm!)
- %%{_prefix} in /usr
- cleanup

* Fri Aug 31 2001 Etienne Faure <etienne@mandrakesoft.com> 0.2.2-1mdk
- version 0.2.2

* Mon Feb 19 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.2.0pr3-1mdk
- new in contribs

* Thu Dec 21 2000 HA Quc-Vit <viet@mandrakesoft.com> 0.2.0pr3-0mdk
- Initial release.
